complexType "CoalAttributeDecimal"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 9 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (standardContent?, rejectionLimit?)
</...>

Content Model Elements (2):

  rejectionLimit (defined in CoalAttributeDecimal complexType),
  standardContent (defined in CoalAttributeDecimal complexType)

All Direct / Indirect Based Elements (9):

  ashFusionTemperature, BTUperLB, finesPassingScreen, fluid, grindability, initialDeformation, softeningHeightHalfWidth, softeningHeightWidth, topSize

Known Usage Locations

- As direct type of elements (9):
  ashFusionTemperature, BTUperLB, finesPassingScreen, fluid, grindability, initialDeformation, softeningHeightHalfWidth, softeningHeightWidth, topSize

Annotation
The different options for specifying the attributes of a coal quality measure as a decimal value.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CoalAttributeDecimal"> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="standardContent" type="xsd:decimal"/> <xsd:element minOccurs="0" name="rejectionLimit" type="xsd:decimal"/> </xsd:sequence> <xsd:sequence/> </xsd:choice> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
rejectionLimit

  Type: | xsd:decimal, predefined, simple content

  The actual limits of the quality characteristics of the Coal Product above or below which the Buyer may reject a Shipment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rejectionLimit" type="xsd:decimal"/>

standardContent

  Type: | xsd:decimal, predefined, simple content

  The actual content of the quality characteristics of the Coal Product Shipment expected by the Buyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="standardContent" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.